> ## Documentation Index
> Fetch the complete documentation index at: https://docs.smartbills.io/llms.txt
> Use this file to discover all available pages before exploring further.

# Delete v1receipts barcode



## OpenAPI

````yaml /api-reference/openapi.json delete /v1/receipts/{id}/barcode
openapi: 3.0.4
info:
  title: Smartbills.API
  version: v1
servers:
  - url: https://api.smartbills.io
    description: Production
security: []
paths:
  /v1/receipts/{id}/barcode:
    delete:
      tags:
        - Receipts
      parameters:
        - name: id
          in: path
          required: true
          schema:
            type: integer
            format: int64
      responses:
        '200':
          description: OK
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/DTOReceiptBarcode'
            application/json:
              schema:
                $ref: '#/components/schemas/DTOReceiptBarcode'
            text/json:
              schema:
                $ref: '#/components/schemas/DTOReceiptBarcode'
        '404':
          description: Not Found
          content:
            text/plain:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            application/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
            text/json:
              schema:
                $ref: '#/components/schemas/MicrosoftAspNetCoreMvcProblemDetails'
components:
  schemas:
    DTOReceiptBarcode:
      type: object
      properties:
        type:
          $ref: '#/components/schemas/ModelsSBBarcodeType'
        value:
          type: string
          nullable: true
        base64:
          type: string
          nullable: true
      additionalProperties: false
    MicrosoftAspNetCoreMvcProblemDetails:
      type: object
      properties:
        type:
          type: string
          nullable: true
        title:
          type: string
          nullable: true
        status:
          type: integer
          format: int32
          nullable: true
        detail:
          type: string
          nullable: true
        instance:
          type: string
          nullable: true
      additionalProperties: {}
    ModelsSBBarcodeType:
      enum:
        - AZTEC
        - CODABAR
        - CODE_39
        - CODE_93
        - CODE_128
        - DATA_MATRIX
        - EAN_8
        - EAN_13
        - ITF
        - MAXICODE
        - PDF_417
        - QR_CODE
        - RSS_14
        - RSS_EXPANDED
        - UPC_A
        - UPC_E
        - ALL_1_D
        - UPC_EAN_EXTENSION
        - MSI
        - PLESSEY
        - IMB
        - PHARMA_CODE
      type: string

````